Delete mapping table

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.maddenanalytics.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Madden Analytics API MCP server": {
  "url": "https://docs.maddenanalytics.com/mcp"
}
Close
DELETE /v2/api/mappingtables/{mappingField}

Path parameters

  • mappingField string Required

    Mapping field name

Query parameters

  • mappingType string Required

    Mapping type (products, transactions, purchaseOrders, distributionOrders, stocks, suppliers, costCalculationValues)

Responses

  • 204
  • 400 application/json

    Invalid or missing mapping type

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • 404 application/json

    Not found

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
DELETE /v2/api/mappingtables/{mappingField}
curl \
 --request DELETE 'https://api.maddenanalytics.com/v2/api/mappingtables/{mappingField}?mappingType=string'
Response examples (400)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (404)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}